      program cdf_read

      include 'netcdf.inc'


      integer cdfstat, cdfid, ndims, nvars, ngatts, recdim
      character*256 dset

             


      dset= "http://ferret.pmel.noaa.gov/cgi-bin/nph-dods/data/" 
     .  //"coads_climatology.nc"

      CALL NCPOPT(0)
      write (6,*) "Data set is ", dset

       cdfid = NCOPN(dset, NCNOWRIT, cdfstat)

      if (cdfstat .NE. 0 ) then
         write (6,*) 'Problem opening file'
         GOTO 100
      else
         write (6,*) 'No problem opening file'
      endif
      write (6,*) 'CDF status from NCOPN is ', cdfstat

C check out bogus values from ncinq
      CALL NCINQ( cdfid, ndims, nvars, ngatts, recdim, cdfstat )
      write (6,*) 'CDFid is ', cdfid
      write (6,*) 'CDF status from NCINQ is ', cdfstat
      write (6,*) 'The number of variables is ', nvars


 100  END

